import { MetaData } from './MetaData';
import { SourceLocation } from './scanner';
/**
 * TODO: Should be part of the tree?
 */
export interface Comment {
    /**
     *
     */
    type: 'Line' | 'Block';
    value: string;
    range?: [number, number];
    loc?: SourceLocation;
    extendedRange?: [number, number];
}
interface Entry {
    comment: Comment;
    start: number;
}
interface NodeInfo {
    node: VisitableNode;
    start: number;
}
interface VisitableNode {
    /**
     * Now optional and can also take number to make consistent with TokenEntry.
     */
    type?: string | number;
    /**
     * Now optional and also takes number to make consistent with TokenEntry.
     */
    value?: string | number;
    range?: [number, number];
    loc?: SourceLocation;
    leadingComments?: Comment[];
    innerComments?: Comment[];
    trailingComments?: Comment[];
    body?: unknown[];
}
export declare class CommentHandler {
    attach: boolean;
    comments: Comment[];
    stack: NodeInfo[];
    leading: Entry[];
    trailing: Entry[];
    constructor();
    insertInnerComments(node: VisitableNode, metadata: MetaData): void;
    findTrailingComments(metadata: MetaData): Comment[];
    findLeadingComments(metadata: MetaData): Comment[];
    visitNode(node: VisitableNode, metadata: MetaData): void;
    visitComment(node: VisitableNode, metadata: MetaData): void;
    visit(node: VisitableNode, metadata: MetaData): void;
}
export {};
