import { MetaData } from './MetaData';
import { Module, Script } from './nodes';
import { TokenEntry } from './token';
import { Config } from './tokenizer';
export interface ParseOptions {
    comment?: boolean;
    attachComment?: boolean;
    sourceType?: 'module' | 'script';
    jsx?: boolean;
    /**
     * Determines whether the parser reports range: [start: number, end: number].
     */
    range?: boolean;
    /**
     * Determines whether the parser reports loc: {start:{line:number;column:number}; end:{line:number;column:number}}
     */
    loc?: boolean;
    tokens?: boolean;
    tolerant?: boolean;
    source?: string;
}
export interface ParseDelegate {
    (node: TokenEntry, metadata?: MetaData): TokenEntry;
}
export declare function parse(code: string, options?: ParseOptions, delegate?: ParseDelegate): Module | Script;
export declare function parseModule(code: string, options?: ParseOptions, delegate?: ParseDelegate): Module;
export declare function parseScript(code: string, options: ParseOptions, delegate: ParseDelegate): Script;
export declare function tokenize(code: string, options: Config, delegate?: ParseDelegate): TokenEntry[];
export { Syntax } from './syntax';
export declare const version = "1.1.2";
