import { ErrorHandler } from './error-handler';
import { Scanner } from './scanner';
import { TokenEntry, RawToken, RawTokenValue } from './token';
declare class Reader {
    readonly values: RawTokenValue[];
    curly: number;
    paren: number;
    constructor();
    beforeFunctionExpression(t: string): boolean;
    isRegexStart(): boolean;
    push(token: RawToken): void;
}
export interface Config {
    tolerant?: boolean;
    comment?: boolean;
    range?: boolean;
    loc?: boolean;
}
export declare class Tokenizer {
    readonly errorHandler: ErrorHandler;
    scanner: Scanner;
    readonly trackRange: boolean;
    readonly trackLoc: boolean;
    readonly buffer: TokenEntry[];
    readonly reader: Reader;
    constructor(code: string, config: Config);
    errors(): import("./error-handler").Error[];
    getNextToken(): TokenEntry;
}
export {};
